de.esprit.netsuite.client.gui.action

## Class UserActionValidator<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.gui.DefaultActionValidator
  - - de.esprit.netsuite.client.gui.action.ClientActionValidator<C>
    - - de.esprit.netsuite.client.gui.action.UserActionValidator<C>

- All Implemented Interfaces:
    ActionValidator, ValidationChangeEvent.Source, ClientObject<C>
  Direct Known Subclasses:
    AdminActionValidator

      public class UserActionValidator<C extends ClientContext>
      extends ClientActionValidator<C>

  This Validator is a listener for `UserAuthenticationEvent`s and enables an action only if there is a valid user login.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserActionValidator(C clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkPermission()`
    `protected void` | `checkUserPermission(User user)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientActionValidator

      `getClientContext, isLoggedIn, isOnline, isUserAuthentificationSensitive, setUserAuthentificationSensitive`

    - ### Methods inherited from class de.esprit.common.gui.DefaultActionValidator

      `addValidationListener, fireAvailabilityChecks, isPermitted, removeValidationListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserActionValidator

          public UserActionValidator(C clientCtx)

  - ### Method Detail

    - #### checkPermission

          public final void checkPermission()
                                     throws java.lang.Exception

      Specified by:
        `checkPermission` in interface `ActionValidator`
      Overrides:
        `checkPermission` in class `ClientActionValidator<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### checkUserPermission

          protected void checkUserPermission(User user)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.